%define module	PyXML
%define name	python-pyxml
%define version 0.8.4
%define release %mkrel 18

Name:		%{name}
Version:	%{version}
Release:	%{release}
URL:		http://pyxml.sourceforge.net/
Source0:	http://downloads.sourceforge.net/pyxml/%{module}-%{version}.tar.bz2
Patch0:		python-pyxml-fix_python_2.6.patch 
License:	MIT and Python and ZPLv1.0 and BSD
Group:		System/Libraries
Summary:	XML libraries for python
BuildRequires:	libexpat-devel >= 2.0.1
Obsoletes:	%{module}
Provides:	%{module}
BuildRequires:	python-devel

%description
An XML package for Python. The distribution contains a validating XML parser,
an implementation of the SAX and DOM programming interfaces and an interface
to the Expat parser.

%prep
%setup -q -n %{module}-%{version}
%patch0 -p0

%build
CFLAGS="%{optflags}" python setup.py build --with-libexpat=%{_prefix}

%install
rm -fr %{buildroot}
python setup.py install -O 1 --root=%{buildroot} --record=INSTALLED_FILES 

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc LICENCE ANNOUNCE CREDITS README README.dom README.pyexpat README.sgmlop TODO doc/*
%py_platsitedir/*
%_bindir/*
%lang(de) %{py_platsitedir}/*/dom/de/
%lang(en_US) %{py_platsitedir}/*/dom/en_US/
%lang(fr) %{py_platsitedir}/*/dom/fr/


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.8.4-18.mga3
+ Revision: 379423
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Feb 21 2011 ahmad <ahmad> 0.8.4-17.mga1
+ Revision: 55149
- rebuild so that pythonegg provides are lowercase
- replace %%py_requires -d by python-devel

* Mon Jan 17 2011 pterjan <pterjan> 0.8.4-16.mga1
+ Revision: 21280
- Rebuild for python 2.7

* Sat Jan 15 2011 mikala <mikala> 0.8.4-15.mga1
+ Revision: 19160
- Remove BuildRoot
- imported package python-pyxml

